<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-component name="htmlHead">
	<stripes:url var="_DowodOsobistyActionURL" beanclass="pl.topteam.dps.action.utils.DowodOsobistyAction" prependContext="true" addSourcePage="false"/>
	<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
	<script type="text/javascript">
		var _DowodOsobistyActionURL = "${_DowodOsobistyActionURL}";
		var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
	</script>

	<script type="text/javascript" src="${root}/js/utils/dowodOsobisty.js"></script>
	<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
</stripes:layout-component>

<stripes:layout-component name="content">
	<div class="formContainer">
		<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
		<stripes:form beanclass="pl.topteam.dps.action.socjalni.dowodOsobisty.DowodOsobistyAction" name="dowodOsForm">
			<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>

			<stripes:hidden name="historia"/>
			<stripes:hidden id="dataUrodzeniaD" name="osoba.dataUrodzenia" formatPattern="${DATE_PATTERN}"/>
			<fieldset>
				<legend>
					<c:choose>
						<c:when test="${empty actionBean.dowodOsobisty.id}">
							Wstawianie nowego dowodu osobistego
						</c:when>
						<c:otherwise>
							Edycja dowodu osobistego
							<stripes:hidden name="dowodOsobisty"/>
						</c:otherwise>
					</c:choose>
				</legend>

				<c:set var="klasaWymagane" value="required"/>
				<c:choose>
					<c:when test="${stripes:enumName(dpsJednostka.branch) == 'DOM_POMOCY'}">
						<c:set var="dataWydaniaKlasaWymagane" value="required"/>
					</c:when>
					<c:when test="${stripes:enumName(dpsJednostka.branch) == 'FUNDACJA'}">
						<c:set var="dataWydaniaKlasaWymagane" value=""/>
					</c:when>
					<c:when test="${stripes:enumName(dpsJednostka.branch) == 'OSRODEK_OPIEKUNCZY'}">
						<c:set var="dataWydaniaKlasaWymagane" value="required"/>
					</c:when>
				</c:choose>
				<c:set var="poleDowodOsobisty" value="dowodOsobisty"/>
				<%@ include file="/jsp/templatePages/polaDowodOsobisty.jsp" %>
			</fieldset>
			
			<fieldset class="submit">
				<div>
					<stripes:link beanclass="pl.topteam.dps.action.socjalni.dowodOsobisty.ListaDowodowOsobistychAction" class="button" event="listaZSesji">
						<stripes:param name="historia" value="${actionBean.historia}"/>
						&laquo; Anuluj
					</stripes:link>
			  		&nbsp;&nbsp;
					<stripes:submit name="zapisz" value="Zapisz"/>
				</div>
			</fieldset>
		</stripes:form>
	</div>
</stripes:layout-component>
