<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="listaPrzypisan" value="${actionBean.listaPrzypisan()}"/>
<jmesa:tableFacade items="${listaPrzypisan}" id="listaPrzypisan" var="osobaPracownik" editable="false" 
		view="pl.topteam.utils.jmesa.view.SimpleTableView" maxRows="${fn:length(listaPrzypisan)}">
	<jmesa:htmlTable width="600px">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="typ" title="Typ<br/>powiązania" sortable="false" styleClass="daneWyroznione">
				${osobaPracownik.typ.wartString}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="data" title="Od dnia" sortable="false" styleClass="daneWyroznione">
				<fmt:formatDate value="${osobaPracownik.dataOd}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="pracownik" title="Pracownik" sortable="false">
				${osobaPracownik.pracownik.wartString}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="h" title="Historia" sortable="false" styleClass="text-center">
				<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.pracownicy.HistoraPrzypisanAction" event="lista">
					<stripes:param name="typ" value="${osobaPracownik.typ.id}"/>
					&nbsp;&nbsp;H&nbsp;&nbsp;
				</stripes:link>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.pracownicy.PrzypisaniePracownikaAction" event="edycja">
						<stripes:param name="przypisanie" value="${osobaPracownik.id}"/>
						<img src="${root}/img/edit.gif" class="iconspace"/>
					</stripes:link>
					<stripes:link class="noLoadImage" beanclass="pl.topteam.dps.action.mieszkaniec.pracownicy.ListaPrzypisanPracownikowAction" event="usun"
							onclick="return confirmation('Czy na pewno chcesz usunąć przypisanie?')">
						<stripes:param name="przypisanie" value="${osobaPracownik.id}"/>
						<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/mieszkaniec/pracownicy/lista.jsp')}"/>
						<img src="${root}/img/delete.gif" class="iconspace"/>
					</stripes:link>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
