<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<stripes:url var="_SlowoAjaxActionURL" beanclass="pl.topteam.dps.action.administracja.slowniki.inne.SlowoAjaxAction" prependContext="true" addSourcePage="false"/>
		<script type="text/javascript">
			var _SlowoAjaxActionURL = "${_SlowoAjaxActionURL}";
		</script>
		<script type="text/javascript" src="${root}/js/utils/slowo.js"></script>
	</stripes:layout-component>
	<stripes:layout-component name="content">
		<div class="formContainer">
			<%@ include file="/jsp/templatePages/polaSlownikAjax.jsp" %>
			<stripes:form beanclass="${actionBean.getClass().getCanonicalName()}" style="width: 80%;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<fieldset>
					<legend>
						<c:choose>
							<c:when test="${empty actionBean.nieobecnoscInformacja.id}">
								Dodawanie informacji o nieobecności
							</c:when>
							<c:otherwise>
								Edycja informacji o nieobecności
								<stripes:hidden name="nieobecnoscInformacja"/>
							</c:otherwise>
						</c:choose>
					</legend>
					<c:set var="listaPracownikow" value="${actionBean.pracownicy()}"/>
					<c:set var="listaMiejscPobytu" value="${actionBean.miejscaPobytu()}"/>

					<c:set var="nazwaPolaNieobecnoscInformacja" value="nieobecnoscInformacja"/>
					<%@ include file="/jsp/templatePages/polaNieobecnoscInformacjaWspolne.jsp" %>

					<fieldset>
						<legend>Szczegóły wyjazdu</legend>
						<c:set var="nazwaPolaNieobecnoscInformacja" value="nieobecnoscInformacja"/>
						<%@ include file="/jsp/templatePages/polaNieobecnoscInformacjaWyjazd.jsp" %>
					</fieldset>
					<fieldset>
						<legend>Szczegóły powrotu</legend>
						<c:set var="nazwaPolaNieobecnoscInformacja" value="nieobecnoscInformacja"/>
						<%@ include file="/jsp/templatePages/polaNieobecnoscInformacjaPowrot.jsp" %>
					</fieldset>
				</fieldset>
				
				<fieldset class="submit">
					<div>
						<stripes:link class="button" beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.zbiorcze.ListaNieobecnoscInformacjaAction" event="lista">
							&laquo; Lista zbiorcza
						</stripes:link>
						&nbsp;&nbsp;&nbsp;&nbsp;
						<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.kartoteka.ListaNieobecnoscInformacjiAction" class="button" event="lista">
							&laquo; Lista
						</stripes:link>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"/>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>