<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div id="jmesa_ZBLIZAJACE_SIE">
<jmesa:tableFacade items="${lista_ZBLIZAJACE_SIE}" id="lista_ZBLIZAJACE_SIE" var="informacja" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable style="width: 850px;">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="DATA_WYJAZDU" title="Data wyjazdu" styleClass="nowrap"
					sortable="true" filterable="true" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<ttSec:secure roles="SOC_U_NIEOBECNOSC_INFORMACJA" defaultText="${informacja.dataWyjazdu}" pattern="${DATE_PATTERN}">
					<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.zbiorcze.NieobecnoscInformacjaAction" event="edycja" class="padding-left-0 ${empty informacja.dataPowrotu ? 'daneWyroznione' : ''}">
						<stripes:param name="nieobecnoscInformacja" value="${informacja.id}"/>
						<stripes:param name="mieszkaniec.id" value="${informacja.mieszkaniec.id}"/>
						<fmt:formatDate value="${informacja.dataWyjazdu}" pattern="${DATE_PATTERN}"/>
						<c:if test="${not empty informacja.godzinaWyjazdu}">&nbsp;&nbsp;&nbsp;(${informacja.godzinaWyjazdu})</c:if>
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="DATA_POWROTU" title="Data powrotu" sortable="true" filterable="true" styleClass="nowrap" filterEditor="pl.topteam.utils.jmesa.view.editor.DateFilterEditor">
				<c:choose>
					<c:when test="${empty informacja.dataPowrotu}">
						&nbsp;
					</c:when>
					<c:otherwise>
						<ttSec:secure roles="SOC_U_NIEOBECNOSC_INFORMACJA" defaultText="${informacja.dataPowrotu}" pattern="${DATE_PATTERN}">
							<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.zbiorcze.NieobecnoscInformacjaAction" event="edycja">
								<stripes:param name="nieobecnoscInformacja" value="${informacja.id}"/>
								<stripes:param name="mieszkaniec.id" value="${informacja.mieszkaniec.id}"/>
								<fmt:formatDate value="${informacja.dataPowrotu}" pattern="${DATE_PATTERN}"/>
								<c:if test="${not empty informacja.godzinaPowrotu}">&nbsp;&nbsp;&nbsp;(${informacja.godzinaPowrotu})</c:if>
							</stripes:link>
						</ttSec:secure>
					</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nazwiskoImie" title="Mieszkaniec" sortable="false" filterable="true">
				${informacja.mieszkaniec.nazwiskoImie}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nazwa" title="Miejsce" sortable="true" filterable="true">
				<ttSec:secure roles="SOC_U_NIEOBECNOSC_INFORMACJA" defaultText="${informacja.miejscePobytu.nazwa}">
					<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.zbiorcze.NieobecnoscInformacjaAction" event="edycja">
						<stripes:param name="nieobecnoscInformacja" value="${informacja.id}"/>
						<stripes:param name="mieszkaniec.id" value="${informacja.mieszkaniec.id}"/>
						${informacja.miejscePobytu.nazwa}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="skierowalPrzyjal" title="Pracownik<br/>wyjazd&nbsp;/&nbsp;powrót" sortable="false" filterable="false">
				<ttSec:secure roles="SOC_U_NIEOBECNOSC_INFORMACJA" defaultText="${informacja.pracownikWyjazd.nazwiskoImie} / ${not empty informacja.pracownikPowrot ? informacja.pracownikPowrot.nazwiskoImie : '-'}">
					<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.zbiorcze.NieobecnoscInformacjaAction" event="edycja">
						<stripes:param name="nieobecnoscInformacja" value="${informacja.id}"/>
						<stripes:param name="mieszkaniec.id" value="${informacja.mieszkaniec.id}"/>
						${not empty informacja.pracownikWyjazd ? informacja.pracownikWyjazd.nazwiskoImie : '-'} / ${not empty informacja.pracownikPowrot ? informacja.pracownikPowrot.nazwiskoImie : '-'}
					</stripes:link>
				</ttSec:secure>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<ttSec:secure roles="SOC_R_NIEOBECNOSC_INFORMACJA">
						<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.zbiorcze.NieobecnoscInformacjaAction" event="wKartotece"
								title="Zobacz w kartotece mieszkańca">
							<stripes:param name="mieszkaniec.id" value="${informacja.mieszkaniec.id}"/>
							<span class="text-larger"><strong>&nbsp;K&nbsp;</strong></span>
						</stripes:link>
					</ttSec:secure>
					<ttSec:secure roles="SOC_U_NIEOBECNOSC_INFORMACJA">
						<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.zbiorcze.NieobecnoscInformacjaAction" event="edycja">
							<stripes:param name="nieobecnoscInformacja" value="${informacja.id}"/>
							<stripes:param name="mieszkaniec.id" value="${informacja.mieszkaniec.id}"/>
							<img src="${root}/img/edit.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
</div>
