<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_ListaNieobecnosciActionURL" beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.zbiorcze.ListaNieobecnoscInformacjaAction" prependContext="true" scope="page" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<style type="text/css">
			.ui-tabs .ui-tabs-panel {
				border: 1px solid #a6c9e2;
			}
			#tab-container .ui-widget-header {
				background: none;
				border: 0px none;
			}
		</style>
		<script type="text/javascript" src="${root}/js/jquery.jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/jmesa.js"></script>
		<script type="text/javascript" src="${root}/js/utils/jquery.jmesa.dateFilter.js"></script>
		<script type="text/javascript">
			function onInvokeAction(id) {
				pokazLoadImage();

			    setExportToLimit(id, "");
			    var parameterString = createParameterStringForLimit(id);
	
			    var _zakladka = id.substring("lista_".length);
			    $.post("${_ListaNieobecnosciActionURL}",
				    "listaFiltr=&zakladka=" + _zakladka + "&" + parameterString,
				    function(data) {
						$("#jmesa_" + _zakladka).html(data);
						ukryjLoadImage();
					}
				);
			}
			$(document).ready(function() {
				$("#tab-container").tabs();
			});
			//# sourceURL=lista.js
		</script>
	</stripes:layout-component>

	<stripes:layout-component name="content">
		<h3>Nieobecność mieszkańców (na podstawie informacji o nieobecności)</h3>
		<div class="formContainer">
			<stripes:form beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.zbiorcze.ListaNieobecnoscInformacjaAction">
			<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
			<div id="tab-container" class="form" style="border: 0px none; margin: 0px auto; width: 900px;">
				<ul>
					<c:forEach items="${actionBean.zakladki()}" var="zakladka">
					<li>
						<stripes:link beanclass="pl.topteam.dps.action.mieszkaniec.nieobecnoscInformacja.zbiorcze.ListaNieobecnoscInformacjaAction" event="listaFiltr">
							<stripes:param name="zakladka" value="${zakladka.name()}"/>
							${zakladka.tytul()}
						</stripes:link>
					</li>
					</c:forEach>
				</ul>
			</div>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
