<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<c:set var="nr_porzadkowy" value="0"/>
<jmesa:tableFacade items="${listaOczekujacych}" id="listaOczekujacych" var="osoba" view="pl.topteam.utils.jmesa.view.SimpleTableWithoutStatusView"
		editable="false" maxRows="${fn:length(listaOczekujacych)}" exportTypes="" autoFilterAndSort="false" >
	<jmesa:htmlTable width="800px" styleClass="alignCenter">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nr_porzadkowy" title="Nr">
				<c:set var="nr_porzadkowy" value="${nr_porzadkowy + 1}"/>
				<strong>${nr_porzadkowy}</strong>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="dk.priorytet" title="Priorytet" styleClass="nowrap" filterable="false">
				<c:choose>
					<c:when test="${not empty osoba.postanowienieSadu.id}">TAK (p. sądu)</c:when>
					<c:when test="${osoba.decyzjaKierujaca.priorytet != 3}">TAK (decyzja kier.)</c:when>
					<c:otherwise>&nbsp;</c:otherwise>
				</c:choose>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="data_od" title="Data wpisu<br/>ewidencji" sortable="true" filterable="false" styleClass="nowrap">
				<fmt:formatDate value="${osoba.ewidencjaDps.dataOd}" pattern="${DATE_PATTERN}" />
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="nazwisko" title="Nazwisko">
				<stripes:link beanclass="pl.topteam.dps.action.oczekujacy.opcje.OsobaOczekujacaAction" event="opcje"
						title="Kartoteka osoby">
					<stripes:param name="osoba.id" value="${osoba.id}"/>
					<strong>${osoba.nazwisko}</strong>
				</stripes:link>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="imie" title="Imię">
				<stripes:link beanclass="pl.topteam.dps.action.oczekujacy.opcje.OsobaOczekujacaAction" event="opcje"
						title="Kartoteka osoby">
					<stripes:param name="osoba.id" value="${osoba.id}"/>
					<strong>${osoba.imie}</strong>
				</stripes:link>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="pesel" title="PESEL">
				${not empty osoba.pesel ? osoba.pesel : '&nbsp;'}
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="uwagi" title="Uwagi" style="width: 500px;">
				<aa:zone id="uwagi_${osoba.ewidencjaDps.id}_zone">
					<pre>${not empty osoba.ewidencjaDps.ewidencjaOczekujacy ? osoba.ewidencjaDps.ewidencjaOczekujacy.uwagi : '&nbsp;'}</pre>
				</aa:zone>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje">
				<div class="ikonki">
					<stripes:link beanclass="pl.topteam.dps.action.oczekujacy.kolejka.UwagiAction" event="formularz" aa-refresh-zones="uwagi_${osoba.ewidencjaDps.id}_zone"
							title="Edycja uwag">
						<stripes:param name="ewidencja" value="${osoba.ewidencjaDps.id}"/>
						<strong>&nbsp;U&nbsp;</strong>
					</stripes:link>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
