<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="jmesa" uri="http://code.google.com/p/jmesa" %>
<%@ taglib prefix="ttSec" uri="http://www.top-team.pl/tag/security" %>
<%@ taglib prefix="ttFn" uri="http://www.top-team.pl/functions" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<div style="margin-bottom: 10px;">
	<%@ include file="/jsp/bledy/stdGlobalneBledy.jsp" %>
</div>
<jmesa:tableFacade items="${listaOczekujacych}" id="listaOczekujacych" var="osoba" limit="${wynikLimit}"
		editable="false" maxRows="${ileRekordow}" exportTypes="" autoFilterAndSort="false">
	<jmesa:htmlTable width="800px">
		<jmesa:htmlRow>
			<jmesa:htmlColumn property="nazwisko" title="Nazwisko" styleClass="daneWyroznione">
				<stripes:link beanclass="pl.topteam.dps.action.oczekujacy.opcje.OsobaOczekujacaAction" event="opcje">
					<stripes:param name="osoba.id" value="${osoba.id}"/>
					${osoba.nazwisko}
				</stripes:link>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="imie" title="Imię" styleClass="daneWyroznione">
				<stripes:link beanclass="pl.topteam.dps.action.oczekujacy.opcje.OsobaOczekujacaAction" event="opcje">
					<stripes:param name="osoba.id" value="${osoba.id}"/>
					${osoba.imie}
				</stripes:link>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="pesel" title="PESEL">
				<stripes:link beanclass="pl.topteam.dps.action.oczekujacy.opcje.OsobaOczekujacaAction" event="opcje">
					<stripes:param name="osoba.id" value="${osoba.id}"/>
					${not empty osoba.pesel ? osoba.pesel : '&nbsp;'}
				</stripes:link>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="kontakt" title="Kontakt" sortable="false" filterable="false" styleClass="nowrap">
				<c:if test="${not empty osoba.telefonKom}"><div class="padding-top-5">${osoba.telefonKom}</div></c:if>
				<c:if test="${not empty osoba.email}"><div class="padding-top-5"><a class="noLoadImage" href="mailto:${osoba.email}?subject=[TT-DPS]" title="Wyślij e-mail">${osoba.email}</a></div></c:if>
			</jmesa:htmlColumn>
			<jmesa:htmlColumn property="opcje" title="Opcje" sortable="false" filterable="false">
				<div class="ikonki">
					<stripes:link beanclass="pl.topteam.dps.action.oczekujacy.opcje.OsobaOczekujacaAction" event="opcje"
							title="Podgląd opcji dostępnych dla osoby oczekującej">
						<stripes:param name="osoba.id" value="${osoba.id}"/>
						<img src="${root}/img/lupa.gif" class="iconspace"/>
					</stripes:link>
					<ttSec:secure roles="OG_D_OCZEKUJACY">
						<stripes:link beanclass="pl.topteam.dps.action.oczekujacy.ListaOczekujacychAction" class="noLoadImage"
								event="usun" onclick="return confirmation('Czy na pewno chcesz usunąć osobę oczekującą /${osoba.nazwiskoImie}/?')"
								title="Usuń mieszkańca">
							<stripes:param name="oczekujacy" value="${osoba.id}"/>
							<stripes:param name="${SOURCE_PAGE_ATTR_NAME}" value="${ttFn:encryptForStripes('/jsp/oczekujacy/lista.jsp')}"/>
							<img src="${root}/img/delete.gif" class="iconspace"/>
						</stripes:link>
					</ttSec:secure>
				</div>
			</jmesa:htmlColumn>
		</jmesa:htmlRow>
	</jmesa:htmlTable>
</jmesa:tableFacade>
