<%@ page language="java" contentType="text/html; charset=UTF-8"	pageEncoding="UTF-8"%>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="aa" uri="http://com.nerderg/ajaxanywhere"%>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<stripes:url var="_CzynnosciActionURL" beanclass="pl.topteam.dps.action.planWsparcia.diagnoza.CzynnosciAction" prependContext="true" addSourcePage="false"/>

<stripes:layout-render name="/jsp/layout/mainMieszkaniecLayout/layout.jsp">
	<stripes:layout-component name="htmlHead">
		<link rel="stylesheet" type="text/css" href="${root}/css/jquery.ui.toggleSelectable.css"/>
		
		<%@ include file="../katalogUslug/katalogDrzewkoHead.jsp" %>
		
		<script type="text/javascript" src="${root}/js/jquery.ui.toggleSelectable.js"></script>
		<script>
			function podpowiedzCzynnosci(e) {
				AjaxAnywhere.submitAjaxAnywhereFormWithData("#czynnosciForm", $("#ipwmForm").serialize(), "czynnosci_zone", e);
			}

			$(function() {
				$(".toggleSelectable").toggleSelectable({
					lassoToggle: true,
					selected: function(event, ui) {
						$(ui.selected).find("input").attr('checked', true);
					},
					unselected: function(event, ui) {
						$(ui.unselected).find("input").removeAttr('checked');
					}
				});
			});
		</script>
	</stripes:layout-component>
	
	<stripes:layout-component name="content">
		<div class="formContainer">
			<stripes:form id="iwpmForm" beanclass="pl.topteam.dps.action.planWsparcia.mieszkaniec.PlanWsparciaAction" style="width: 95%;">
				<%@ include file="/jsp/bledy/fieldsetBledy.jsp" %>
				
				<c:set var="listaDiagnozMieszkanca" value="${actionBean.listaDiagnozMieszkanca()}"/>
				<fieldset>
					<legend>Nowy indywidualny plan wsparcia mieszkańca (krok 2-gi: wybór czynności)</legend>
					<c:choose>
						<c:when test="${fn:length(listaDiagnozMieszkanca) > 0}">
							<fieldset>
								<legend>Diagnozy mieszkańca (ważne od: <fmt:formatDate value="${actionBean.dataWaznosciDiagnoz().toDate()}" pattern="${DATE_PATTERN}" />)</legend>
								<%@ include file="../wyborRealizacjiDiagnoz.jsp" %>
							</fieldset>
							<stripes:submit name="podpowiedzZDiagnoz" aa-refresh-zones="czynnosci_zone">Podpowiedz czynności na podstawie diagnoz</stripes:submit>
							<br/><br/>
							<aa:zone id="czynnosci_zone">
								<fieldset>
									<legend>Czynności realizowane na rzecz mieszkańca</legend>
									<c:set var="listaKategorii" value="${actionBean.listaKategorii()}" scope="request"/>
									<jsp:include page="../katalogUslug/katalogDrzewko.jsp" />
								</fieldset>
							</aa:zone>
						</c:when>
						<c:otherwise>
							Dla mieszkańca nie znaleziono kompletnych diagnoz ważnych od dnia
							<fmt:formatDate value="${actionBean.dataWaznosciDiagnoz().toDate()}" pattern="${DATE_PATTERN}" />
							<br/><br/>
							<c:set var="listaKategorii" value="${actionBean.listaKategorii()}" scope="request"/>
							<jsp:include page="../katalogUslug/katalogDrzewko.jsp" />
						</c:otherwise>
					</c:choose>
				</fieldset>
				<fieldset class="submit">
					<div>
						<stripes:link beanclass="pl.topteam.dps.action.planWsparcia.mieszkaniec.ListaPlanowWsparciaAction" class="button">
							Anuluj
						</stripes:link>
				  		&nbsp;&nbsp;&nbsp;
						<stripes:submit name="powrotKrok1" value="« Poprzedni krok"/>
				  		&nbsp;&nbsp;
						<stripes:submit name="zapisz" value="Zapisz"></stripes:submit>
					</div>
				</fieldset>
			</stripes:form>
		</div>
	</stripes:layout-component>
</stripes:layout-render>
