<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="sql" uri="http://java.sun.com/jsp/jstl/sql" %>

<c:set var="root" value="${pageContext.request.contextPath}"/>

<%@ include file="/jsp/biblioteki/mainHeader.jsp" %>

<c:catch var="e">
<c:choose>
	<c:when test="${not empty typZapytania && typZapytania == 'insert'}">
		<sql:transaction dataSource="${ds}"> 
			<sql:update var="result" scope="page">${zapytanie}</sql:update>
		</sql:transaction>
	</c:when>
	<c:when test="${not empty typZapytania && typZapytania == 'update'}">
		<sql:update var="result" dataSource="${ds}" scope="page">${zapytanie}</sql:update>
	</c:when>
	<c:when test="${not empty typZapytania && typZapytania == 'delete'}">
		<sql:transaction dataSource="${ds}">
			<sql:update var="result" scope="page">${zapytanie}</sql:update>
		</sql:transaction>
	</c:when>
	<c:otherwise>
		<sql:query var="result" dataSource="${ds}" scope="page">${zapytanie}</sql:query>
	</c:otherwise>
</c:choose>
</c:catch>

<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
	<title>Podgląd wyniku zapytania</title>

	<c:choose>
		<c:when test = "${e != null}">
			<%@ include file="/jsp/biblioteki/mainJQuery.jsp" %>
			<%@ include file="/jsp/wyjatki/exceptionHead.jsp" %>
		</c:when>
		<c:otherwise>
			<%@ include file="wynikHead.jsp" %>
		</c:otherwise>
	</c:choose>
</head>
<body>
	<c:choose>
		<c:when test = "${e != null}">
			<%@ include file="/jsp/wyjatki/exceptionBody.jsp" %>
			<div style="padding-top: 20px;">
				<a href="javascript:close();">Zamknij</a>
			</div>
		</c:when>
		<c:otherwise>
			<div id="content">
				<%@ include file="wynikBody.jsp" %>
			</div>
		</c:otherwise>
	</c:choose>
</body>
</html>
